
User Interface - Feature #2340

Feature # 2252 (Closed): implement GUI client support

implement the window title bar

07/15/2014 01:21 PM - Constantin Asofiei

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Constantin Asofiei % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: GUI Support for a Complex ADM2 App   

billable: No vendor_id: GCD

Description

Related issues:

Related to User Interface - Bug #2427: do not allow ALT+space to show the pop... New

History

#1 - 07/29/2014 08:14 AM - Constantin Asofiei

- File ca_upd20140729a.zip added

This version switches from a matrix bitmap to a list of activated rectangles.  This allows a more dynamic approach of the screen's dimensions

(considering that the window can be resized).  Plus, it will simplify introduction of decimal coordinates.

Is going through runtime testing now.

#2 - 10/01/2014 12:17 PM - Marius Gligor

Regarding selection of mouse source which is the widget that should handle the mouse events.

Basically we have widgets and containers. Containers should holds other widgets or containers, widgets not.

Container widgets coordinates are relative to container while mouse position is relative to window which is the ancestor container of window widgets.

I implemented a recursive algorithm to find mouse source (see AbstractContainer#findMouseSource).

The algorithm works fine but not for WindowTitleBar which is not yet properly implemented is just a dummy implementation.

For more details see #2333 note 10.

#3 - 10/22/2014 07:31 AM - Constantin Asofiei

- Status changed from WIP to Review

- % Done changed from 0 to 80

#4 - 10/23/2014 12:00 PM - Greg Shah

- % Done changed from 80 to 100

- Status changed from Review to Closed

#5 - 11/16/2016 12:12 PM - Greg Shah

- Target version changed from Milestone 12 to GUI Support for a Complex ADM2 App

Files

ca_upd20140729a.zip 8.48 KB 07/29/2014 Constantin Asofiei
